Bug 162592 - Confusing 'Java EE Usage' action on the Servers node
Confusing 'Java EE Usage' action on the Servers node
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@serverplugins
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 14:36 UTC by Erno Mononen
Modified: 2009-04-17 19:54 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erno Mononen 2009-04-14 14:36:24 UTC
(Build 200904131401, Ruby only)

Steps:

1. Go to the services tab
2. Right click on the server node => there are two actions, 'Add Server' and 'Ruby Usage'. Since this is a Ruby only 
distribution and Ruby is enabled by default, I'm not sure why the Ruby Usage action is there (clicking it opens Help 
for Ruby)
Comment 1 Jaroslav Tulach 2009-04-15 14:54:18 UTC
I needed to add "Identity Usage" to fix issue 158765. When I was at it I also added Java EE Usage and Ruby Usage. 
However they are not really necessary. Especially after fixing the Add Server to offer Ruby and Java EE directly.

Do you want to revert ruby.help part of 
http://hg.netbeans.org/main-golden/diff/b08def2c4d3e/ruby.help/src/org/netbeans/modules/ruby/help/layer.xml
?
Comment 2 Erno Mononen 2009-04-15 15:27:13 UTC
Yes, I'll go ahead and revert it.
Comment 3 Erno Mononen 2009-04-15 15:32:41 UTC
Reverted, edbe848427c in ruby-main.
Comment 4 Petr Jiricka 2009-04-15 15:49:04 UTC
Ok, Petre H, will you take care of the Java EE Usage action?
Comment 5 Petr Hejl 2009-04-15 16:25:16 UTC
I think this action is still needed to silently enable Java EE when using preinstalled server(s). Jarda should look into it.
Comment 6 Quality Engineering 2009-04-16 08:01:15 UTC
Integrated into 'main-golden', will be available in build *200904160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/dedbe848427c
User: Erno Mononen <emononen@netbeans.org>
Log: #162592: Confusing 'Ruby Usage' action on the Servers node in Ruby only IDE
Comment 7 Jaroslav Tulach 2009-04-16 09:19:15 UTC
Thanks Petr H. for reminding me. I guess I will have to revert the revert dedbe848427c otherwise fix for issue 162274 
won't work. Ach jo.
Comment 8 Jaroslav Tulach 2009-04-17 08:26:55 UTC
ergonomics#8549401669eb
Comment 9 Quality Engineering 2009-04-17 19:54:01 UTC
Integrated into 'main-golden', will be available in build *200904171401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0c121c4ad5cf
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #162592: Merge: Hiding the Java EE and Ruby Usage actions from the user, changing registration API a bit


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo